TelepathyQt4: Tp::ProtocolInfo Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ProtocolInfo Class Reference
[Connection manager proxies]

Object representing a Telepathy protocol info. More...

`#include <TelepathyQt4/ConnectionManager>`

List of all members.

## Public Member Functions

- ~ProtocolInfo ()
- QString cmName () const
- QString name () const
- const ProtocolParameterList & parameters () const
- bool hasParameter (const QString &name) const
- bool canRegister () const

## Detailed Description

Object representing a Telepathy protocol info.

## Constructor & Destructor Documentation

Tp::ProtocolInfo::~ProtocolInfo | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::ProtocolInfo::cmName | ( |  | ) | const

Get the short name of the connection manager (e.g. "gabble").

Returns:
  The name of the connection manager.

QString Tp::ProtocolInfo::name | ( |  | ) | const

Get the string identifying the protocol as described in the Telepathy D-Bus API Specification (e.g. "jabber").

This identifier is not intended to be displayed to users directly; user interfaces are responsible for mapping them to localized strings.

Returns:
  A string identifying the protocol.

const ProtocolParameterList & Tp::ProtocolInfo::parameters | ( |  | ) | const

Return all supported parameters. The parameters' names may either be the well-known strings specified by the Telepathy D-Bus API Specification (e.g. "account" and "password"), or implementation-specific strings.

Returns:
  A list of parameters.

bool Tp::ProtocolInfo::hasParameter | ( | const QString & | name | ) | const

Return whether a given parameter can be passed to the connection manager when creating a connection to this protocol.

Parameters:

  | name | The name of a parameter.

Returns:
  true if the given parameter exists.

bool Tp::ProtocolInfo::canRegister | ( |  | ) | const

Return whether it might be possible to register new accounts on this protocol, by setting the special parameter named `register` to `true`.

Returns:
  The same thing as hasParameter("register").

See also:
  hasParameter()